Mangools/API

Get top-content for siteprofiler

Prerequisites

Call /siteprofiler/overview for the same URL first (within the last 24 hours). Without a recent overview lookup the endpoint returns HTTP 429 Not in history.

GET
/siteprofiler/top-content

Authorization

ApiKeyAuth
x-access-token<token>

API token issued for your Mangools account, sent as an API key in the x-access-token HTTP header. This is NOT a standard RFC 6750 Authorization: Bearer <token> header. Auto-generated clients should be configured to send the token in x-access-token accordingly.

In: header

Query Parameters

url*string

Target URL / domain / subdomain

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.mangools.com/v3/siteprofiler/top-content?url=string"
{
  "urlId": "6be984976f0eedca1741745c5e5290c0",
  "topContent": [
    {
      "url": "https://exampledomain.com/",
      "citationFlow": 53,
      "trustFlow": 63,
      "refDomains": 3800,
      "extBackLinks": 376507,
      "fb": {
        "l": null,
        "og": null
      }
    }
  ]
}
Empty
{
  "error": {
    "type": "AuthError",
    "message": "Invalid API Key"
  }
}
{
  "error": {
    "type": "InvalidInput",
    "message": "Parameter url is invalid"
  }
}
{
  "error": {
    "type": "RateLimit",
    "message": "Not enough limits 2"
  }
}